#
# spec file for package resolv_wrapper
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


############################# NOTE ##################################
#
# This is a special library. You are not able to link this library.
# Do NOT create library package or a devel package!
#
############################# NOTE ##################################

Name:           resolv_wrapper
Version:        1.1.3
Release:        4.1

Summary:        A wrapper for dns name resolving or dns faking
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
Url:            http://cwrap.org/

Source0:        https://ftp.samba.org/pub/cwrap/%{name}-%{version}.tar.gz
Source1:        %{name}-rpmlintrc

BuildRequires:  cmake
BuildRequires:  glibc-devel
BuildRequires:  libcmocka-devel
BuildRequires:  pkg-config
BuildRequires:  socket_wrapper

Requires:       cmake
Requires:       pkg-config

%description
resolv_wrapper makes it possible on most UNIX platforms to contact your own DNS
implmentation in your test environment. It requires socket_wrapper to be able
to contact it.  If it doesn’t work on a special platform the wrapper is able to
fake DNS queries and return valid responses to your application.

This package doesn't have a devel package cause this project is for
development/testing.

%prep
%setup -q

%build
%cmake \
  -DUNIT_TESTING=ON

make %{?_smp_mflags} VERBOSE=1

%install
%cmake_install

%check
pushd build
make %{?_smp_mflags} test || cat $(find Testing -name "*.log")
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog COPYING
%{_libdir}/libresolv_wrapper.so*
%dir %{_libdir}/cmake/resolv_wrapper
%{_libdir}/cmake/resolv_wrapper/resolv_wrapper-config-version.cmake
%{_libdir}/cmake/resolv_wrapper/resolv_wrapper-config.cmake
%dir %{_libdir}/pkgconfig
%{_libdir}/pkgconfig/resolv_wrapper.pc
%{_mandir}/man1/resolv_wrapper.1*

%changelog
* Wed Sep  2 2015 asn@cryptomilk.org
- Update to version 1.1.3:
  * Fixed symbol detection if macros are used for res_* functions
  * Fixed strict aliasing warnings for symbol binding
  * Added missing tests for req_query and res_search
  * Fix detection for ns_name_compress.
* Wed Jun  3 2015 mpluskal@suse.com
- Rename rpmlintrc to match packaging guidelines
- Add rpmlintrc as source
- Fix usage of cmake_install
* Mon May 11 2015 asn@cryptomilk.org
- Cleanup specfile
* Mon Jan 12 2015 asn@cryptomilk.org
- Update to version 1.1.1:
  * Fixed building on older Linux distributions.
  * Fix a possible segfault.
* Tue Dec  2 2014 asn@cryptomilk.org
- Update to version 1.1.0:
  * Added case insensitive comparsion of dns names (dns faking).
  * Added support complete dns names (trailing dot) (dns faking).
  * Added support for recursive name resolving (dns faking).
  * Fixed calculation of response size (dns faking).
* Fri Oct 24 2014 asn@cryptomilk.org
- Initial package.
